﻿--[[     Titan Panel: Camera Distance
• ru:  Дистанция Камеры - небольшой плагин для Титан Панели. Спомощью него в выпадающем меню можно выбрать максимальную дистанцию обзора камеры: от минимального - 0 метров (вид от первого лица) 
            до максимального - 50 метров
• en:  Camera Distance - a small plug-in for Titan Panel. With him in dropdown menu, you can select the maximum range of camera distance: from minimum - 0 yards (first-person view)
            to maximum - 50 yards


Author: Wishko
E-mail: Wish1250@gmail.com
Create Date: 9 june 2010
Locales: RU(main),EN

For users: it's one of my first addon for WoW, and sorry for my English =)

Изменения/ChangeLog:
• v1.1.2 (9 june 2010)  - Первый запуск
                          Initial Release
• v1.1.3 (8 jule 2010)  - Небольшие изменения в загрузке плагина; добавлены, изменены и локализованы некоторые подсказки 
                          Minor changes in plugin loading; added, modified and localized some tips
• v1.2.0 (10 jule 2010) - Изменена структура аддона. Теперь можно выбрать любую дистанцию а не каждую вторую. Исправлены небольшие ошибки      
                          Changed addon structure. Now you can choose any distance and not every second. Fixed small bugs
• v1.2.1 (14 jule 2010) - Исправлены небольшие ошибки.
                          Fixed small bugs
]]--

local TITAN_CAMDIST_VERSION = "1.2.1"
local TITAN_CAMDIST_ID = "CamDist"
--local TITAN_CAMDIST_CVAR_DISTMAX = floor(GetCVar("cameraDistanceMax"))
------------------------------------------------------------------------
if GetLocale() == "ruRU" then TITAN_CAMDIST_TOOLTIPTITLE = "ТитанПанель: Дистанция камеры" 
else TITAN_CAMDIST_TOOLTIPTITLE = "TitanPanel: Camera Distance" end
------------------------------------------------------------------------
if GetLocale() == "ruRU" then TITAN_CAMDIST_TOOLTIPTEXT = "Позволяет изменить максимальную дистанцию обзора камеры \n |cffffffff0|cffffcc00   - вид от первого лица\n |cffffffff20|cffffcc00 - стандартная дистанция \n |cffffffff50|cffffcc00 - максимальная дистанция \n|cff00ff00Правый клик для выбора дистанции.|r"
else TITAN_CAMDIST_TOOLTIPTEXT = "Allows you to change the maximum camera distance \n |cffffffff 0 |cffffcc00  -  first-person view \n |cffffffff20 |cffffcc00 - the standard distance \n |cffffffff50 |cffffcc00 - the maximum distance \n |cff00ff00Right-click to select the distance. |r" end

if GetLocale() == "ruRU" then TITAN_CAMDIST_BUTTONTEXT = "Дистанция "--[[..TITAN_CAMDIST_CVAR_DISTMAX..""]]
else TITAN_CAMDIST_BUTTONTEXT = "Distance "--[[..TITAN_CAMDIST_CVAR_DISTMAX..""]] end

if GetLocale() == "ruRU" then TITAN_CAMDIST_MENUTEXT = "Дистанция:"
else TITAN_CAMDIST_MENUTEXT = "Distance:" end

if GetLocale() == "ruRU" then TITAN_CAMDIST_HELPTEXT = "Помощь"
else TITAN_CAMDIST_HELPTEXT = "Help" end

if GetLocale() == "ruRU" then TITAN_CAMDIST_HELP = "[CamDist]: Изменение максимальной дистанции камеры сохраняется после выхода из игры. Все дистанции действительны при установленной в Интерфейсе минимальной дистанции камеры (Опции - Интерфейс - Камера)"
else TITAN_CAMDIST_HELP = "[CamDist]: Changing the maximum camera distance is saved after you exit the game. All distances are valid if installed in Interface the low camera distance  (Options - Interface - Camera)" end

if GetLocale() == "ruRU" then TITAN_CAMDIST_METERS = " метров" else TITAN_CAMDIST_METERS = " yards" end
------------------------------------------------------------------------
function TitanPanelCamDistButton_OnLoad(self)
	self.registry = {
		id = TITAN_CAMDIST_ID,
		category = "Interface",
        version = TITAN_CAMDIST_VERSION,
		menuText = TITAN_CAMDIST_MENUTEXT,
		buttonTextFunction = "TitanPanelCamDist_GetButtonText",
        tooltipTitle = TITAN_CAMDIST_TOOLTIPTITLE,
        tooltipTextFunction = "TitanPanelCamDist_GetTooltipText",
		icon = "Interface\\Icons\\Spell_Fire_Flare",
		iconWidth = 16,
		savedVariables = {
			ShowIcon = 1,
			ShowLabelText = false,}};     
	--self:RegisterEvent("PLAYER_ENTERING_WORLD");
end
------------------------------------------------------------------------
function TitanPanelCamDist_GetButtonText()
return TITAN_CAMDIST_BUTTONTEXT
end
------------------------------------------------------------------------
function TitanPanelCamDist_GetTooltipText()
return TITAN_CAMDIST_TOOLTIPTEXT
end
------------------------------------------------------------------------
-- Максимальная дистанция камеры от 0 до 50 / The maximum camera distance from 0 to 50
-- Ничего лучше придумать не мог чем все это вручную написать)
local function CamDist0()
SetCVar("cameraDistanceMax",0)
end 
local function CamDist1()
SetCVar("cameraDistanceMax",1)
end 
local function CamDist2()
SetCVar("cameraDistanceMax",2)
end 
local function CamDist3()
SetCVar("cameraDistanceMax",3)
end 
local function CamDist4()
SetCVar("cameraDistanceMax",4)
end 
local function CamDist5()
SetCVar("cameraDistanceMax",5)
end 
local function CamDist6()
SetCVar("cameraDistanceMax",6)
end
local function CamDist7()
SetCVar("cameraDistanceMax",7)
end 
local function CamDist8()
SetCVar("cameraDistanceMax",8)
end 
local function CamDist9()
SetCVar("cameraDistanceMax",9)
end 
local function CamDist10()
SetCVar("cameraDistanceMax",10)
end 
local function CamDist11()
SetCVar("cameraDistanceMax",11)
end 
local function CamDist12()
SetCVar("cameraDistanceMax",12)
end 
local function CamDist13()
SetCVar("cameraDistanceMax",13)
end
local function CamDist14()
SetCVar("cameraDistanceMax",14)
end 
local function CamDist15()
SetCVar("cameraDistanceMax",15)
end 
local function CamDist16()
SetCVar("cameraDistanceMax",16)
end 
local function CamDist17()
SetCVar("cameraDistanceMax",17)
end 
local function CamDist18()
SetCVar("cameraDistanceMax",18)
end 
local function CamDist19()
SetCVar("cameraDistanceMax",19)
end 
local function CamDist20()
SetCVar("cameraDistanceMax",20)
end
local function CamDist21()
SetCVar("cameraDistanceMax",21)
end 
local function CamDist22()
SetCVar("cameraDistanceMax",22)
end 
local function CamDist23()
SetCVar("cameraDistanceMax",23)
end 
local function CamDist24()
SetCVar("cameraDistanceMax",24)
end
local function CamDist25()
SetCVar("cameraDistanceMax",25)
end 
local function CamDist26()
SetCVar("cameraDistanceMax",26)
end 
local function CamDist27()
SetCVar("cameraDistanceMax",27)
end 
local function CamDist28()
SetCVar("cameraDistanceMax",28)
end 
local function CamDist29()
SetCVar("cameraDistanceMax",29)
end 
local function CamDist30()
SetCVar("cameraDistanceMax",30)
end 
local function CamDist31()
SetCVar("cameraDistanceMax",31)
end 
local function CamDist32()
SetCVar("cameraDistanceMax",32)
end 
local function CamDist33()
SetCVar("cameraDistanceMax",33)
end 
local function CamDist34()
SetCVar("cameraDistanceMax",34)
end 
local function CamDist35()
SetCVar("cameraDistanceMax",35)
end 
local function CamDist36()
SetCVar("cameraDistanceMax",36)
end 
local function CamDist37()
SetCVar("cameraDistanceMax",37)
end 
local function CamDist38()
SetCVar("cameraDistanceMax",38)
end 
local function CamDist39()
SetCVar("cameraDistanceMax",39)
end 
local function CamDist40()
SetCVar("cameraDistanceMax",40)
end 
local function CamDist41()
SetCVar("cameraDistanceMax",41)
end 
local function CamDist42()
SetCVar("cameraDistanceMax",42)
end 
local function CamDist43()
SetCVar("cameraDistanceMax",43)
end 
local function CamDist44()
SetCVar("cameraDistanceMax",44)
end 
local function CamDist45()
SetCVar("cameraDistanceMax",45)
end 
local function CamDist46()
SetCVar("cameraDistanceMax",46)
end 
local function CamDist47()
SetCVar("cameraDistanceMax",47)
end 
local function CamDist48()
SetCVar("cameraDistanceMax",48)
end 
local function CamDist49()
SetCVar("cameraDistanceMax",49)
end 
local function CamDist50()
SetCVar("cameraDistanceMax",50)
end 
local function CamDistHelp()
DEFAULT_CHAT_FRAME:AddMessage(format(TITAN_CAMDIST_HELP))
end 
------------------------------------------------------------------------
function TitanPanelRightClickMenu_PrepareCamDistMenu()
local info;
------------------------------------------------------------------------
-- 2й УРОВЕНЬ / 2nd Menu Level
------------------------------------------------------------------------
        -- Меню 2го уровня, Дистанции 1-9    
        if ( UIDROPDOWNMENU_MENU_LEVEL == 2 ) then
		if ( UIDROPDOWNMENU_MENU_VALUE == "CamDist0" ) then
        info = {};
		info.text = ("1"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist1() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("2"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist2() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("3"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist3() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("4"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist4() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("5"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist5() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("6"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist6() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("7"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist7() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("8"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist8() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("9"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist9() end;
		UIDropDownMenu_AddButton(info,2) 
        end

    -- Меню 2го уровня, Дистанции 11-19   
        if ( UIDROPDOWNMENU_MENU_VALUE == "CamDist10" ) then
		info = {};
		info.text = ("11"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist11() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("12"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist12() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("13"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist13() end;
		UIDropDownMenu_AddButton(info,2) 
                                
        info = {};
		info.text = ("14"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist14() end;
		UIDropDownMenu_AddButton(info,2) 
             
        info = {};
		info.text = ("15"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist15() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("16"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist16() end;
		UIDropDownMenu_AddButton(info,2) 
                               
        info = {};
		info.text = ("17"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist17() end;
		UIDropDownMenu_AddButton(info,2)
                        
        info = {};
		info.text = ("18"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist18() end;
		UIDropDownMenu_AddButton(info,2) 
                             
        info = {};
		info.text = ("19"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist19() end;
		UIDropDownMenu_AddButton(info,2) 
             
             
        end
   
    -- Меню 2го уровня, Дистанции 21-29          
        if ( UIDROPDOWNMENU_MENU_VALUE == "CamDist20" ) then
		info = {};
		info.text = ("21"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist21() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("22"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist22() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("23"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist23() end;
		UIDropDownMenu_AddButton(info,2) 
                
        info = {};
		info.text = ("24"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist24() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("25"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist25() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("26"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist26() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("27"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist27() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("28"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist28() end;
		UIDropDownMenu_AddButton(info,2) 
                        
        info = {};
		info.text = ("29"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist29() end;
		UIDropDownMenu_AddButton(info,2) 
        
        end
        
    -- Меню 2го уровня, Дистанции 31-39         
        if ( UIDROPDOWNMENU_MENU_VALUE == "CamDist30" ) then
        info = {};
		info.text = ("31"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist31() end;
		UIDropDownMenu_AddButton(info,2) 
        
		info = {};
		info.text = ("32"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist32() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("33"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist33() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("34"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist34() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("35"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist35() end;
		UIDropDownMenu_AddButton(info,2) 
                  
        info = {};
		info.text = ("36"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist36() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("37"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist37() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("38"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist38() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("39"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist39() end;
		UIDropDownMenu_AddButton(info,2) 
        end
        
    -- Меню 2го уровня, Дистанции 41-49         
        if ( UIDROPDOWNMENU_MENU_VALUE == "CamDist40" ) then
        info = {};
		info.text = ("41"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist41() end;
		UIDropDownMenu_AddButton(info,2) 
        
		info = {};
		info.text = ("42"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist42() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("43"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist43() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("44"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist44() end;
		UIDropDownMenu_AddButton(info,2) 
           
        info = {};
		info.text = ("45"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist45() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("46"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist46() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("47"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist47() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("48"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist48() end;
		UIDropDownMenu_AddButton(info,2) 
        
        info = {};
		info.text = ("49"..TITAN_CAMDIST_METERS.."")
        info.func = function() CamDist49() end;
		UIDropDownMenu_AddButton(info,2) 
        end 
        else
        
------------------------------------------------------------------------
-- 1й УРОВЕНЬ / 1st Menu Level
------------------------------------------------------------------------
-- Меню 1го уровня   
   	TitanPanelRightClickMenu_AddTitle(TitanPlugins[TITAN_CAMDIST_ID].menuText)
   	info = {};
   	info.text = ("0"..TITAN_CAMDIST_METERS.."")
    info.value = "CamDist0"
    info.func = function() CamDist0() end;
    info.hasArrow = 1;
    UIDropDownMenu_AddButton(info);
    
    info = {};
   	info.text = ("10"..TITAN_CAMDIST_METERS.."")
    info.value = "CamDist10"
    info.func = function() CamDist10() end;
    info.hasArrow = 1;
    UIDropDownMenu_AddButton(info);
    
   	info = {};
   	info.text = ("20"..TITAN_CAMDIST_METERS.."")
    info.value = "CamDist20"
    info.func = function() CamDist20() end;
    info.hasArrow = 1;
    UIDropDownMenu_AddButton(info);

   	info = {};
   	info.text = ("30"..TITAN_CAMDIST_METERS.."")
    info.hasArrow = 1;
    info.value = "CamDist30"
    info.func = function() CamDist30() end;
    UIDropDownMenu_AddButton(info);

   	info = {};
   	info.text = ("40"..TITAN_CAMDIST_METERS.."")
    info.value = "CamDist40"
    info.func = function() CamDist40() end;
    info.hasArrow = 1
    UIDropDownMenu_AddButton(info);
    
    info = {};
   	info.text = ("50"..TITAN_CAMDIST_METERS.."")
    info.value = "CamDist50"
    info.func = function() CamDist50() end;
    UIDropDownMenu_AddButton(info);
    
    TitanPanelRightClickMenu_AddSpacer()
    
    info = {};
   	info.text = TITAN_CAMDIST_HELPTEXT
    info.value = "CamDistHelp"
    info.func = function() CamDistHelp() end;
    UIDropDownMenu_AddButton(info);
    
	TitanPanelRightClickMenu_AddToggleIcon(TITAN_CAMDIST_ID)  
end
end

-- P.S.: Заки - самый большой склерозник, хоть и когда-то помог мне немного с этим аддОном